Bug 628956 - augeas crashes when trying to run libvirtd
augeas crashes when trying to run libvirtd
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: augeas (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
:
: 636595 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-31 10:07 EDT by Richard Hughes
Modified: 2013-04-30 19:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:06:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard Hughes 2010-08-31 10:07:19 EDT
Description of problem:

augeas crashes when trying to run libvirtd with the following backtrace:

Program received signal SIGSEGV, Segmentation fault.
dict_pos (key=0x82556e0 "custom-rules", dict=<value optimized out>) at ast.c:132
132	        int cmp = strcmp(dict->nodes[m]->key, key);
Missing separate debuginfos, use: debuginfo-install db4-4.8.30-2.fc14.i686 libidn-1.18-1.fc14.i686 libsepol-2.0.41-3.fc14.i686
(gdb) bt
#0  dict_pos (key=0x82556e0 "custom-rules", dict=<value optimized out>) at ast.c:132
#1  0x00339bcc in dict_lookup (key=0x82556e0 "custom-rules", dict=0x8342590, skel=0xbfffd3ac, subdict=0xbfffd3a8) at ast.c:204
#2  0x0033d6cf in put_subtree (state=0xbfffd398, lens=<value optimized out>) at put.c:449
#3  0x0033d238 in put_lens (lens=<value optimized out>, state=<value optimized out>) at put.c:624
#4  0x0033d2a0 in put_quant_star (lens=<value optimized out>, state=<value optimized out>) at put.c:544
#5  put_lens (lens=<value optimized out>, state=<value optimized out>) at put.c:627
#6  0x0033dc8d in lns_put (out=0x82625e8, lens=0x8353018, tree=0x8340c98, text=0x83ae170 "\n", err=0xbfffd43c) at put.c:787
#7  0x00338ef9 in transform_save (aug=0x8239f50, xfm=0x8251840, path=0x82659e8 "/files/etc/sysconfig/system-config-firewall", tree=0x830d258) at transform.c:940
#8  0x0031d136 in tree_save (aug=0x8239f50, tree=<value optimized out>, path=0x825f1f0 "/files/etc/sysconfig") at augeas.c:1117
#9  0x0031d231 in tree_save (aug=0x8239f50, tree=<value optimized out>, path=0x8267418 "/files/etc") at augeas.c:1121
#10 0x0031d231 in tree_save (aug=0x8239f50, tree=<value optimized out>, path=0x349fdd "/files") at augeas.c:1121
#11 0x0031e850 in aug_save (aug=0x8239f50) at augeas.c:1216
#12 0x003c19a1 in bridge_physdevs (ncf=0x815a978) at drv_initscripts.c:421
#13 drv_init (ncf=0x815a978) at drv_initscripts.c:502
#14 0x003becd2 in ncf_init (ncf=0x8173c88, root=<value optimized out>) at netcf.c:104
#15 0x080f4880 in interfaceOpenInterface (conn=0x81d17f0, auth=0x0, flags=0) at interface/netcf_driver.c:135
#16 0x020bbc5e in do_open (name=0x8110813 "qemu:///system", auth=0x0, flags=0) at libvirt.c:1283
#17 0x020bd4e0 in virConnectOpen (name=0x8110813 "qemu:///system") at libvirt.c:1427
#18 0x08083199 in qemudAutostartConfigs (driver=0x8156fc0) at qemu/qemu_driver.c:845
#19 0x080863c5 in qemudStartup (privileged=1) at qemu/qemu_driver.c:1931
#20 0x020bd064 in virStateInitialize (privileged=1) at libvirt.c:978
#21 0x0805f6a6 in main (argc=1, argv=0xbffff7a4) at libvirtd.c:3241

Version-Release number of selected component (if applicable):

$ rpm -q augeas-libs
augeas-libs-0.7.3-1.fc14.i686

How reproducible:

Always.

Steps to Reproduce:
1. Run /usr/sbin/libvirtd as root.
2. Boom.

Additional info:

Fully updated F14.
Comment 1 David Lutterkort 2010-08-31 15:48:33 EDT
I can't reproduce this on my F13 machine. I'll set up a F14 VM and see if I can reproduce it there.

There's two things I don't quite understand from the stacktrace:

(1) /proc/sys/net/bridge/bridge-nf-call-iptables must be set to 1, otherwise the code would never get there

(2) in the stacktrace, the arguments for dict_pos are in the wrong order, though seem to have the right values - might be some gdb hickup
Comment 2 Laine Stump 2010-09-02 12:13:37 EDT
This is just aside-issue, but I just updated my F14 box and noted that after a reboot, although /etc/sysctl.conf has:

    net.bridge.bridge-nf-call-iptables = 0

/proc/sys/net/bridge/bridge-nf-call-iptables contains "1". It appears some process is modifying this setting without updating /etc/sysctl.conf.

(ncftool started successfully for me, at least on this first run).
Comment 3 Dave Allan 2010-10-21 14:04:15 EDT
*** Bug 636595 has been marked as a duplicate of this bug. ***
Comment 4 Fedora End Of Life 2012-08-16 18:06:20 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.